# XClipper for Windows

![build](https://github.com/KaustubhPatange/XClipper/workflows/Windows%20CI/badge.svg)

## Built with 🛠

- [Material Design](http://materialdesigninxaml.net/) - Toolkit to easily bring beautiful desktop applications to life, using a modern and popular design language.
- [SQLite-net](https://github.com/praeclarum/sqlite-net) - An open source, minimal library to allow .NET, .NET Core, and Mono applications to store data in SQLite 3 databases.
- [SharpClipboard](https://github.com/Willy-Kimura/SharpClipboard) - A clipboard-monitoring library for .NET that listens to the system's clipboard entries
- [Mouse Key Hook](https://github.com/gmamaladze/globalmousekeyhook) - A library allows you to tap keyboard and mouse, to detect and record their activity even when an application is inactive and runs in background.
- [MVVM](https://docs.microsoft.com/en-us/archive/msdn-magazine/2009/february/patterns-wpf-apps-with-the-model-view-viewmodel-design-pattern)
  - [MVVM Light Toolkit](http://www.mvvmlight.net/) - Makes the process for writing MVVM apps super easy.
  - [PropertyChanged.Fody](https://github.com/Fody/PropertyChanged) - Injects code which raises the PropertyChanged event, into property setters of classes which implement INotifyPropertyChanged.
- [Data Binding](https://docs.microsoft.com/en-us/dotnet/desktop-wpf/data/data-binding-overview)
  - [CalcBinding](https://github.com/Alex141/CalcBinding) - Aan advanced Binding markup extension that allows you to write calculated binding expressions in xaml, without custom converters.
- [SQLite-Net-Extension](https://bitbucket.org/twincoders/sqlite-net-extensions) - An extension to sqlite-net library.
- [Docsify](https://docsify.js.org/) - A magical documentation site generator.
